Follow-up Comment #5, bug #15591 (project freeciv):

Hmm.  2.1.9 RC1 is working on my 10.6.2 system.  Wait: this seems to work
when launched from the account that installed the package, but not for other
accounts on the same machine.  In those cases, the crash log contains: 

"Dyld Error Message:
  Library not loaded:
@executable_path/../Frameworks/freetype.framework/Versions/A/freetype
  Referenced from: /Applications/Freeciv.app/Contents/MacOS/Freeciv-2.1.9b1
  Reason: no suitable image found.  Did find:
        
/Applications/Freeciv.app/Contents/MacOS/../Frameworks/freetype.framework/Versions/A/freetype:
stat() failed with errno=13
        
/Applications/Freeciv.app/Contents/MacOS/../Frameworks/freetype.framework/Versions/A/freetype:
stat() failed with errno=13"

I'm not well versed in frameworks, and so not sure what we can do about this
other than have users install their own copy of the freetype library.

A further problem discovered while investigating this is that the binary
reports itself as "2.1.9b1", evidently the version string did not get updated
from the Beta 1 release.  The person who put this package together, one
"Napoleon XIV" does intermittently check in to the forum at 
http://forum.freeciv.org/viewtopic.php?t=4313

I will message him and see if we can't come up with something better.

    _______________________________________________________

Reply to this item at:

  <http://gna.org/bugs/?15591>

_______________________________________________
  Message sent via/by Gna!
  http://gna.org/


_______________________________________________
Freeciv-dev mailing list
Freeciv-dev@gna.org
https://mail.gna.org/listinfo/freeciv-dev

Reply via email to